package com.folmoortiz.expoagenda.viewModel;

import android.arch.lifecycle.MutableLiveData;
import android.arch.lifecycle.ViewModel;
import com.folmoortiz.expoagenda.model.Evento;
import com.folmoortiz.expoagenda.repository.ExpoAgendaManager;
import java.util.ArrayList;

public class ListaEventosViewModel extends ViewModel {

    private ExpoAgendaManager expoAgendaManager;

    public ListaEventosViewModel() {
        super();
        expoAgendaManager = ExpoAgendaManager.getInstance();
    }

    // devuelve la lista de eventos
    public MutableLiveData<ArrayList<Evento>> getListaEventos() {
        return expoAgendaManager.getListaEventos();
    }
}
