package com.folmoortiz.expoagenda.model;

import java.io.Serializable;
import java.util.ArrayList;

public class Evento implements Serializable {

    private String id;
    private String nombre;
    private String lugar;
    private String fecha;
    private String descripcion;
    private Double latitud;
    private Double longitud;
    private boolean subscrito;
    private ArrayList<Opinion> opiniones;

    public Evento() {
    }

    public String getId() {
        return id;
    }

    public String getNombre() {
        return nombre;
    }

    public String getLugar() {
        return lugar;
    }

    public String getFecha() {
        return fecha;
    }

    public String getDescripcion() {
        return descripcion;
    }

    public Double getLatitud() {
        return latitud;
    }

    public Double getLongitud() {
        return longitud;
    }

    public boolean isSubscrito() {
        return subscrito;
    }

    public ArrayList<Opinion> getOpiniones() {
        return opiniones;
    }
}
