package com.folmoortiz.expoagenda.viewModel;

import android.arch.lifecycle.MutableLiveData;
import android.arch.lifecycle.ViewModel;
import com.folmoortiz.expoagenda.model.Feria;
import com.folmoortiz.expoagenda.repository.ExpoAgendaManager;

public class FeriaViewModel extends ViewModel {

    private ExpoAgendaManager expoAgendaManager;

    public FeriaViewModel() {
        super();
        expoAgendaManager = ExpoAgendaManager.getInstance();
    }

    // devuelve el LiveData con el objeto Feria
    public MutableLiveData<Feria> getFeria() {
        return expoAgendaManager.getFeria();
    }
}
