package com.folmoortiz.expoagenda.viewModel;

import android.arch.lifecycle.MutableLiveData;
import android.arch.lifecycle.ViewModel;
import com.folmoortiz.expoagenda.model.Expositor;
import com.folmoortiz.expoagenda.repository.ExpoAgendaManager;
import java.util.ArrayList;

public class ListaExpositoresViewModel extends ViewModel {

    private ExpoAgendaManager expoAgendaManager;

    public ListaExpositoresViewModel() {
        super();
        expoAgendaManager = ExpoAgendaManager.getInstance();
    }

    // devuelve la lista de expositores
    public MutableLiveData<ArrayList<Expositor>> getListaExpositores() {
        return expoAgendaManager.getListaExpositores();
    }
}
