package com.folmoortiz.expoagenda.viewModel;

import android.arch.lifecycle.MutableLiveData;
import android.arch.lifecycle.ViewModel;
import com.folmoortiz.expoagenda.model.Noticia;
import com.folmoortiz.expoagenda.repository.ExpoAgendaManager;
import java.util.ArrayList;

public class ListaNoticiasViewModel extends ViewModel {

    private ExpoAgendaManager expoAgendaManager;

    public ListaNoticiasViewModel() {
        super();
        expoAgendaManager = ExpoAgendaManager.getInstance();
    }

    // devuelve la lista de noticias
    public MutableLiveData<ArrayList<Noticia>> getListaNoticias() {
        return expoAgendaManager.getListaNoticias();
    }
}
